Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

addCloudPostgresqlDatabaseList

Prev Next

Available in VPC

Add a database to a Cloud DB for PostgreSQL instance.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET | POST /vpostgresql/v2/addCloudPostgresqlDatabaseList
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all Cloud DB for PostgreSQL (VPC) APIs, see Cloud DB for PostgreSQL (VPC) request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code
  • Region code of the Cloud DB for PostgreSQL instance to add the database to.
  • See getRegionList.
  • First Region of the getRegionList query result (default).
cloudPostgresqlInstanceNo String Required Cloud DB for PostgreSQL instance number
cloudPostgresqlDatabaseList.N.name List[String] Required List of database names to add to the Cloud DB for PostgreSQL instance
  • Enter 1-30 characters, including lowercase English letters, numbers, and special character "_".
  • The string must begin with an English letter.
  • Up to 10 databases can be added at once.
  • Example: cloudPostgresqlDatabaseList.1.name=pgtest1&cloudPostgresqlDatabaseList.2.name=pgtest2
cloudPostgresqlDatabaseList.N.owner List[String] Required List of user IDs to manage the database
  • See getCloudPostgresqlUserList.
  • Example: cloudPostgresqlDatabaseList.1.owner=testuser1&cloudPostgresqlDatabaseList.2.owner=testuser2
responseFormatType String Optional Format of the response result
  • xml (default) | json

Request example

The request example is as follows:

curl --location --request GET 'https://ncloud.apigw.ntruss.com/vpostgresql/v2/addCloudPostgresqlDatabaseList
?regionCode=KR
&cloudPostgresqlInstanceNo=****925
&cloudPostgresqlDatabaseList.1.name=pgtest
&cloudPostgresqlDatabaseList.1.owner=testuser' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response status codes

For information about the HTTP status codes common to all Cloud DB for PostgreSQL (VPC) APIs, see Cloud DB for PostgreSQL (VPC) response status codes.

Response example

The response example is as follows:

  • If responseFormatType=json
{
    "addCloudPostgresqlDatabaseListResponse": {
        "requestId": "9c409109-****-****-****-ef0b642f6494",
        "returnCode": "0",
        "returnMessage": "success"
    }
}
  • If responseFormatType=xml (default)
<?xml version="1.0" encoding="UTF-8"?>
<addCloudPostgresqlDatabaseListResponse>
    <requestId>9c409109-****-****-****-ef0b642f6494</requestId>
    <returnCode>0</returnCode>
    <returnMessage>success</returnMessage>
</addCloudPostgresqlDatabaseListResponse>